import { _ as _objectSpread2, a as _defineProperty } from '../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_AudioConsole16 = {
  name: 'AudioConsole16',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '16',
      height: '16',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M30 20H29V2H27V20H26a2.0027 2.0027 0 0 0-2 2v2a2.0027 2.0027 0 0 0 2 2h1v4h2V26h1a2.0027 2.0027 0 0 0 2-2V22A2.0027 2.0027 0 0 0 30 20zm0 4H26V22h4zM22 14H21V2H19V14H18a2.002 2.002 0 0 0-2 2v2a2.0023 2.0023 0 0 0 2 2h1V30h2V20h1a2.0027 2.0027 0 0 0 2-2V16A2.0023 2.0023 0 0 0 22 14zm0 4H18V16h4zM14 7H13V2H11V7H10A2.002 2.002 0 0 0 8 9v2a2.002 2.002 0 0 0 2 2h1V30h2V13h1a2.002 2.002 0 0 0 2-2V9A2.002 2.002 0 0 0 14 7zm0 4H10V9h4zM6 21H5V2H3V21H2a2.0023 2.0023 0 0 0-2 2v2a2.0023 2.0023 0 0 0 2 2H3v3H5V27H6a2.0023 2.0023 0 0 0 2-2V23A2.0023 2.0023 0 0 0 6 21zm0 4H2V23l4-.001z",
        "transform": "translate(0 .005)"
      }
    }), children]);
  }
};

export default virtual_AudioConsole16;
