import { _ as _objectSpread2, a as _defineProperty } from '../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_Bicycle20 = {
  name: 'Bicycle20',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '20',
      height: '20',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M26,16a5.93,5.93,0,0,0-1.75.26l-2.36-4.71a1.07,1.07,0,0,0-.25-.31L22.72,8H25V6H18V8h2.61l-1,3H9.38L10,8.21A1,1,0,0,0,9,7H4V9H7.76l-1.5,7H6a6,6,0,1,0,2.22.43l.64-3,7.06,8.82a2,2,0,0,0,1.56.75h2.61A6,6,0,1,0,26,16ZM10,22a4,4,0,1,1-4.17-4L5,21.79H5A1.55,1.55,0,0,0,5,22a1,1,0,0,0,1,1,1,1,0,0,0,1-.79H7l.81-3.77A4,4,0,0,1,10,22Zm1.08-9H19l-2.32,6.94Zm9,8h-1.7l2.39-7.19,1.68,3.35A6.05,6.05,0,0,0,20.09,21ZM26,26a4,4,0,0,1-2.62-7l1.73,3.45h0A1,1,0,0,0,27,22a1.06,1.06,0,0,0-.11-.44h0l-1.73-3.46A3.86,3.86,0,0,1,26,18a4,4,0,0,1,0,8Z"
      }
    }), children]);
  }
};

export default virtual_Bicycle20;
