import { _ as _objectSpread2, a as _defineProperty } from '../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_CarouselVertical16 = {
  name: 'CarouselVertical16',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '16',
      height: '16',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M26 10V22a2 2 0 0 1-2 2H8a2 2 0 0 1-2-2V10A2 2 0 0 1 8 8H24A2 2 0 0 1 26 10zM8 22H24V10H8zM24 28v4H22V28H10v4H8V28a2 2 0 0 1 2-2H22A2 2 0 0 1 24 28zM24 0V4a2 2 0 0 1-2 2H10A2 2 0 0 1 8 4V0h2V4H22V0z"
      }
    }), children]);
  }
};

export default virtual_CarouselVertical16;
