import { _ as _objectSpread2, a as _defineProperty } from '../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_CategoryNewEach32 = {
  name: 'CategoryNewEach32',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '32',
      height: '32',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M29 10H24v2h5v6H22v2h3v2.142a4 4 0 1 0 2 0V20h2a2.0027 2.0027 0 0 0 2-2V12A2.0023 2.0023 0 0 0 29 10zM28 26a2 2 0 1 1-2-2A2.0027 2.0027 0 0 1 28 26zM19 6H14V8h5v6H12v2h3v6.142a4 4 0 1 0 2 0V16h2a2.0023 2.0023 0 0 0 2-2V8A2.0023 2.0023 0 0 0 19 6zM18 26a2 2 0 1 1-2-2A2.0027 2.0027 0 0 1 18 26zM9 2H3A2.002 2.002 0 0 0 1 4v6a2.002 2.002 0 0 0 2 2H5V22.142a4 4 0 1 0 2 0V12H9a2.002 2.002 0 0 0 2-2V4A2.002 2.002 0 0 0 9 2zM8 26a2 2 0 1 1-2-2A2.0023 2.0023 0 0 1 8 26zM3 10V4H9l.0015 6z"
      }
    }), children]);
  }
};

export default virtual_CategoryNewEach32;
