import { _ as _objectSpread2, a as _defineProperty } from '../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_Grid16 = {
  name: 'Grid16',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '16',
      height: '16',
      viewBox: '0 0 16 16',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M6 2H3C2.4 2 2 2.4 2 3v3c0 .6.4 1 1 1h3c.6 0 1-.4 1-1V3C7 2.4 6.6 2 6 2zM6 6H3V3h3V6zM13 2h-3C9.4 2 9 2.4 9 3v3c0 .6.4 1 1 1h3c.6 0 1-.4 1-1V3C14 2.4 13.6 2 13 2zM13 6h-3V3h3V6zM6 9H3c-.6 0-1 .4-1 1v3c0 .6.4 1 1 1h3c.6 0 1-.4 1-1v-3C7 9.4 6.6 9 6 9zM6 13H3v-3h3V13zM13 9h-3c-.6 0-1 .4-1 1v3c0 .6.4 1 1 1h3c.6 0 1-.4 1-1v-3C14 9.4 13.6 9 13 9zM13 13h-3v-3h3V13z"
      }
    }), children]);
  }
};

export default virtual_Grid16;
