import { _ as _objectSpread2, a as _defineProperty } from '../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_Hearing32 = {
  name: 'Hearing32',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '32',
      height: '32',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M18,30V28A10.0114,10.0114,0,0,0,28,18h2A12.0134,12.0134,0,0,1,18,30Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M18,26V24a6.0066,6.0066,0,0,0,6-6h2A8.0092,8.0092,0,0,1,18,26Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M18 22V20a2.0023 2.0023 0 0 0 2-2h2A4.0042 4.0042 0 0 1 18 22zM10 2a9.01 9.01 0 0 0-9 9H3a7 7 0 0 1 14 0 7.09 7.09 0 0 1-3.501 6.1348L13 17.4229v3.0732a2.9354 2.9354 0 0 1-.9009 2.1514 4.1824 4.1824 0 0 1-4.6318 1.03A4.0918 4.0918 0 0 1 5 20H3a6.1156 6.1156 0 0 0 3.6694 5.5117 5.7822 5.7822 0 0 0 2.3145.4863A6.5854 6.5854 0 0 0 13.4624 24.11 4.94 4.94 0 0 0 15 20.4961V18.5537A9.1077 9.1077 0 0 0 19 11 9.01 9.01 0 0 0 10 2z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M9.28,8.0825A3.0061,3.0061,0,0,1,13,11h2a4.9786,4.9786,0,0,0-1.8843-3.9111A5.0414,5.0414,0,0,0,8.835,6.1323,4.95,4.95,0,0,0,5.1323,9.835,5.0318,5.0318,0,0,0,7.436,15.2935,3.0777,3.0777,0,0,1,9,17.9229V20h2V17.9229a5.0608,5.0608,0,0,0-2.5371-4.3458A3.0016,3.0016,0,0,1,9.28,8.0825Z"
      }
    }), children]);
  }
};

export default virtual_Hearing32;
