import { _ as _objectSpread2, a as _defineProperty } from '../../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_WatsonHealthSpineLabel24 = {
  name: 'WatsonHealthSpineLabel24',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '24',
      height: '24',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M3 11L3 13 8.59 13 2.29 19.29 3.71 20.71 10 14.41 10 20 12 20 12 11 3 11zM26 13H23V12H21v1H18a2 2 0 0 0-2 2v2a2 2 0 0 0 2 2h3v1h2V19h3a2 2 0 0 0 2-2V15A2 2 0 0 0 26 13zm-8 4V15h8v2zM26 23H23V22H21v1H18a2 2 0 0 0-2 2v2a2 2 0 0 0 2 2h3v1h2V29h3a2 2 0 0 0 2-2V25A2 2 0 0 0 26 23zm-8 4V25h8v2zM26 3H23V2H21V3H18a2 2 0 0 0-2 2V7a2 2 0 0 0 2 2h3v1h2V9h3a2 2 0 0 0 2-2V5A2 2 0 0 0 26 3zM18 7V5h8V7z"
      }
    }), children]);
  }
};

export default virtual_WatsonHealthSpineLabel24;
