import { _ as _objectSpread2, a as _defineProperty } from '../chunk-75bb93d0.js';
import { getAttributes } from '@rocketsoftware/icon-helpers';

var virtual_Workspace20 = {
  name: 'Workspace20',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = getAttributes(_objectSpread2({
      width: '20',
      height: '20',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = _defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M16 17v8H6V17H16m0-2H6a2 2 0 0 0-2 2v8a2 2 0 0 0 2 2H16a2 2 0 0 0 2-2V17a2 2 0 0 0-2-2zM27 6v5H17V6H27m0-2H17a2 2 0 0 0-2 2v5a2 2 0 0 0 2 2H27a2 2 0 0 0 2-2V6a2 2 0 0 0-2-2zM27 17v5H22V17h5m0-2H22a2 2 0 0 0-2 2v5a2 2 0 0 0 2 2h5a2 2 0 0 0 2-2V17a2 2 0 0 0-2-2zM11 6v5H6V6h5m0-2H6A2 2 0 0 0 4 6v5a2 2 0 0 0 2 2h5a2 2 0 0 0 2-2V6a2 2 0 0 0-2-2z"
      }
    }), children]);
  }
};

export default virtual_Workspace20;
