'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_Categories32 = {
  name: 'Categories32',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '32',
      height: '32',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M6.76 6l.45.89L7.76 8H12v5H4V6H6.76m.62-2H3A1 1 0 0 0 2 5v9a1 1 0 0 0 1 1H13a1 1 0 0 0 1-1V7a1 1 0 0 0-1-1H9L8.28 4.55A1 1 0 0 0 7.38 4zM22.76 6l.45.89L23.76 8H28v5H20V6h2.76m.62-2H19a1 1 0 0 0-1 1v9a1 1 0 0 0 1 1H29a1 1 0 0 0 1-1V7a1 1 0 0 0-1-1H25l-.72-1.45a1 1 0 0 0-.9-.55zM6.76 19l.45.89L7.76 21H12v5H4V19H6.76m.62-2H3a1 1 0 0 0-1 1v9a1 1 0 0 0 1 1H13a1 1 0 0 0 1-1V20a1 1 0 0 0-1-1H9l-.72-1.45a1 1 0 0 0-.9-.55zM22.76 19l.45.89L23.76 21H28v5H20V19h2.76m.62-2H19a1 1 0 0 0-1 1v9a1 1 0 0 0 1 1H29a1 1 0 0 0 1-1V20a1 1 0 0 0-1-1H25l-.72-1.45a1 1 0 0 0-.9-.55z"
      }
    }), children]);
  }
};

module.exports = virtual_Categories32;
