'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_CopyFile16 = {
  name: 'CopyFile16',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '16',
      height: '16',
      viewBox: '0 0 16 16',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M14.72,7.35l-3-3.06A1,1,0,0,0,11,4H5A1,1,0,0,0,4,5v9a1,1,0,0,0,1,1H14a1,1,0,0,0,1-1V8A1,1,0,0,0,14.72,7.35ZM11,5l3,3H11ZM5,14V5h5V8a1,1,0,0,0,1,1h3v5Z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M2,9H1V2A1,1,0,0,1,2,1H9V2H2Z"
      }
    }), children]);
  }
};

module.exports = virtual_CopyFile16;
