'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_Data_132 = {
  name: 'Data_132',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '32',
      height: '32',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M15 6H28V8H15zM15 24H28V26H15zM4 15H17V17H4zM7 11a4 4 0 1 1 4-4A4 4 0 0 1 7 11zM7 5A2 2 0 1 0 9 7 2 2 0 0 0 7 5zM7 29a4 4 0 1 1 4-4A4 4 0 0 1 7 29zm0-6a2 2 0 1 0 2 2A2 2 0 0 0 7 23zM25 20a4 4 0 1 1 4-4A4 4 0 0 1 25 20zm0-6a2 2 0 1 0 2 2A2 2 0 0 0 25 14z"
      }
    }), children]);
  }
};

module.exports = virtual_Data_132;
