'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_TextSelection16 = {
  name: 'TextSelection16',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '16',
      height: '16',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M28 27H21a3 3 0 0 1-3-3V22a3 3 0 0 1 3-3h5V17a1 1 0 0 0-1-1H19V14h6a3 3 0 0 1 3 3zm-7-6a1 1 0 0 0-1 1v2a1 1 0 0 0 1 1h5V21zM13 7h3V5H13a4 4 0 0 0-3 1.38A4 4 0 0 0 7 5H4V7H7A2 2 0 0 1 9 9v5H5v2H9v7a2 2 0 0 1-2 2H4v2H7a4 4 0 0 0 3-1.38A4 4 0 0 0 13 27h3V25H13a2 2 0 0 1-2-2V16h4V14H11V9A2 2 0 0 1 13 7z"
      }
    }), children]);
  }
};

module.exports = virtual_TextSelection16;
