'use strict';

var __chunk_1 = require('../../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_WatsonHealthRegistration20 = {
  name: 'WatsonHealthRegistration20',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '20',
      height: '20',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M28 25H20a2.0027 2.0027 0 0 1-2-2V20h2v3h8V9H20v3H18V9a2.0023 2.0023 0 0 1 2-2h8a2.0023 2.0023 0 0 1 2 2V23A2.0027 2.0027 0 0 1 28 25zM8 15H12V17H8z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M20 15H24V17H20zM14 15H18V17H14zM12 25H4a2.0023 2.0023 0 0 1-2-2V9A2.002 2.002 0 0 1 4 7h8a2.002 2.002 0 0 1 2 2v3H12V9H4V23h8V20h2v3A2.0023 2.0023 0 0 1 12 25z"
      }
    }), children]);
  }
};

module.exports = virtual_WatsonHealthRegistration20;
