'use strict';

var __chunk_1 = require('../../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_WatsonHealthWindowAuto24 = {
  name: 'WatsonHealthWindowAuto24',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '24',
      height: '24',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M15 4H17V7H15zM25 15H28V17H25zM15 25H17V28H15zM4 15H7V17H4z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M7.55 7.04H9.55V10.04H7.55z",
        "transform": "rotate(-45 8.55 8.548)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M21.96 7.55H24.96V9.55H21.96z",
        "transform": "rotate(-45 23.454 8.555)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M22.45 21.95H24.45V24.95H22.45z",
        "transform": "rotate(-45 23.452 23.446)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M7.05 22.45H10.05V24.45H7.05z",
        "transform": "rotate(-45 8.544 23.451)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M4 30H28V32H4zM4 0H28V2H4zM16 10a6 6 0 1 0 6 6A6 6 0 0 0 16 10zm-4 6a4 4 0 0 1 4-4v8A4 4 0 0 1 12 16z"
      }
    }), children]);
  }
};

module.exports = virtual_WatsonHealthWindowAuto24;
