'use strict';

var __chunk_1 = require('../../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_WatsonHealthWindowOverlay20 = {
  name: 'WatsonHealthWindowOverlay20',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '20',
      height: '20',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M15 6H17V9H15zM25 17H28V19H25zM15 27H17V30H15zM4 17H7V19H4z"
      }
    }), createElement('path', {
      attrs: {
        "d": "M7.55 9.03H9.55V12.03H7.55z",
        "transform": "rotate(-45 8.558 10.545)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M21.96 9.54H24.96V11.54H21.96z",
        "transform": "rotate(-45 23.466 10.54)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M22.46 23.94H24.46V26.94H22.46z",
        "transform": "rotate(-45 23.459 25.443)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M7.04 24.45H10.04V26.45H7.04z",
        "transform": "rotate(-45 8.55 25.448)"
      }
    }), createElement('path', {
      attrs: {
        "d": "M4 2H28V4H4zM16 24a6 6 0 1 0-6-6A6 6 0 0 0 16 24zm0-10v8a4 4 0 0 1 0-8z"
      }
    }), children]);
  }
};

module.exports = virtual_WatsonHealthWindowOverlay20;
